Skip to navigation

Update or correct envelope recipients

View as Markdown

Updates the recipients of a draft envelope or corrects recipient information for an in-process envelope.

If you send information for a recipient that does not already exist in a draft envelope, the recipient is added to the envelope (similar to the EnvelopeRecipients: Create method).

You can also use this method to resend an envelope to a recipient by using the resend_envelope option.

Updating Sent Envelopes

After an envelope has been sent, you can edit only the following properties:

  • accessCode
  • agentCanEditName
  • agentCanEditEmail
  • customFields
  • deliveryMethod
  • documentVisibility
  • email (If you provide an email address in this method, it will be treated as a new email address, even if it is exactly the same as the current address. Do not provide an email address if you do not want a correction email sent.)
  • emailNotification
  • idCheckConfigurationName
  • identityVerification
  • name
  • note
  • phoneAuthentication
  • recipientType (For this to work, you must also change the recipient object to match the recipient type.)
  • requireIdLookup
  • routingOrder
  • signingGroupId (You can change this ID to switch to a different signing group and its corresponding set of recipients.)
  • smsAuthentication
  • suppressEmails
  • userName

If the recipient has signed, but the envelope is still active, the method will return success, but the recipientUpdateResults property in the response will include an error that the recipient could not be updated:

{
"recipientUpdateResults": [
{
"recipientId": "999",
"errorDetails": {
"errorCode": "RECIPIENT_UPDATE_FAILED",
"message": "The recipient could not be updated. Recipient not in state that allows correction."
}
}
]
}

If the envelope is completed, and you try to change a recipient’s address, the method will fail with this error:

{
"errorCode": "ENVELOPE_INVALID_STATUS",
"message": "Invalid envelope status. Envelope status is not one of: Created, Sent, Delivered, Correct."
}

Note: This method works on recipients only. To add recipient tabs, use methods from the EnvelopeRecipientTabs resource. For example, this request body will add a recipient (astanton@example.com) but NOT the Sign Here recipient tab.

{
"signers": [
{
"email": "astanton@example.com",
"name": "Anne Stanton",
"recipientId": "1",
// THIS WILL NOT WORK
"tabs": {
"signHereTabs": [
{
"anchorString": "below",
"tooltip": "please sign here3"
},
. . .
]
}
}
]
}

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Query parameters

combine_same_order_recipientsstringOptional

When true, recipients are combined or merged with matching recipients. Recipient matching occurs as part of template matching, and is based on Recipient Role and Routing Order.

offline_signingstringOptional
Indicates if offline signing is enabled for the recipient when a network connection is unavailable.
resend_envelopestringOptional

When true, forces the envelope to be resent if it would not be resent otherwise.

Ordinarily, if the recipient’s routing order is before or the same as the envelope’s next recipient, the envelope is not resent.

Setting this query parameter to false has no effect and is the same as omitting it altogether.

Request

This endpoint expects an object: recipients

agentslist of objectsOptional
A list of agent recipients assigned to the documents.
authorizedSignatorieslist of objectsOptional
carbonCopieslist of objectsOptional
A list of carbon copy recipients assigned to the documents.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslist of objectsOptional
A list of users who can edit the envelope.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

notarieslist of objectsOptional
A list of notary recipients on the envelope.
notaryWitnesseslist of objectsOptional
participantslist of objectsOptional
recipientCountstringOptional
The number of recipients in the envelope.
sealslist of objectsOptional
A list of electronic seals to apply to documents.
signerslist of objectsOptional
A list of signers on the envelope.
witnesseslist of objectsOptional
A list of signers who act as witnesses on the envelope.

Response

Successful response.
recipientUpdateResultslist of objectsOptional

An array of recipientUpdateResults objects that contain details about the recipients.

Errors

400
Bad Request Error